#
# spec file for package ghc-auto-update
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name auto-update
Name:           ghc-%{pkg_name}
Version:        0.1.4.1
Release:        lp151.1.2
Summary:        Efficiently run periodic, on-demand actions
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
API docs and the README are available at
<http://www.stackage.org/package/auto-update>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Feb 21 2019 psimons@suse.com
- Update auto-update to version 0.1.4.1.
  [#] ChangeLog for auto-update
  [#]# 0.1.4.1
  * [#693](https://github.com/yesodweb/wai/pull/693):
    Improve documentation for `reaperAction` function.
  * [#732](https://github.com/yesodweb/wai/pull/732):
    Fixed memory leak in `reaperAdd` function.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.4 revision 0 with cabal2obs.
* Wed May 11 2016 mimi.vx@gmail.com
- update to 0.1.4
  * Provide updateActionModify API in AutoUpdate
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.1.3.1
  * Doc improvements
* Thu Dec 17 2015 mimi.vx@gmail.com
- update to 0.1.3
  * Adding a new AIP - reaperKill
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 0.1.2.2
  * Added Control.Debounce
* Fri Apr 24 2015 mimi.vx@gmail.com
- initial commit
